P=m4
V=1.4.17
MAJOR=0
MINOR=0

S="
$P-$V.tar.xz http://ftp.gnu.org/gnu/$P/$P-$V.tar.xz
m4-1.4.17-tests.patch
"

SHA512="
406e6e97c3f5c5f3c8055bac748d4fe8c2e861d97e84ab6d840a2caa7df04f523cc662d6d51f6afae7d6c219d03693c7ae0c1e669a80246a3ceb5e8342b82389  m4-1.4.17.tar.xz
"

build () {
	root=$PWD/root
	tar xJf $P-$V.tar.xz
	cd $P-$V
	patch -p1 <../m4-1.4.17-tests.patch
	# Generating the mega-configure from source requires (drumroll...) m4.
	# It's a wonder these people can tie their shoes in the morning.
	./configure --prefix=/gales/pkg/$Q --datarootdir=/gales/pkg/$Q
	make -j$JOBS
	make install-strip DESTDIR=$root
}

check () {
	cd $P-$V
	make check
}

package () {
	cd $P-$V
	r=gales/pkg/$Q
	for f in AUTHORS NEWS README THANKS TODO; do
		f $r/doc/$f
	done
	cd ../root/$r
	a $r/bin
	a $r/lib # charset.alias, probably junk...
	a $r/info
	# Skipping useless help2man junk

	l gales/pkg/$P $Q
	l gales/command/m4 ../pkg/$P/bin/m4
	l gales/doc/$P ../pkg/$P/doc
	cd info
	for f in *; do
		l gales/info/$f ../pkg/$P/info/$f
	done
}
