P=redis
V=2.8.10
MAJOR=0
MINOR=0

S="
$P-$V.tar.gz http://download.redis.io/releases/$P-$V.tar.gz
redis-2.8.10-musl-fixes.patch
redis.conf
run
"

SHA512="
fc3026fdb726f41328fa2d95bc9bdff79b1891299ac13bd35826e0a4a3db31929f0db10f1a6c972ecc1bb0162645d682fa1576570f6729133ec1023246e402bc  redis-2.8.10.tar.gz
"

build () {
	root=$PWD/root
	tar xzf $P-$V.tar.gz
	cd $P-$V
	patch -p1 <../redis-2.8.10-musl-fixes.patch
	make -j$JOBS
	make PREFIX=$root/gales/pkg/$Q install
}

package () {
	f etc/examples/redis.conf
	x etc/examples/svc/redis/run
	l etc/examples/svc/redis/log/run /etc/svc.defs/multilog
	cd $P-$V
	f gales/pkg/$Q/doc/README
	cp sentinel.conf redis-sentinel.conf
	f etc/examples/redis-sentinel.conf
	cd ../root/gales/pkg/$Q/bin
	for f in *; do
		X gales/pkg/$Q/bin/$f
		l gales/command/$f ../pkg/$P/bin/$f
	done
	l gales/pkg/$P $Q
	l gales/doc/$P ../pkg/$P/doc
}
