# Output is fed into <linux build dir>/usr/gen_init_cpio
# Line formats:
#file <name> <location> <mode> <uid> <gid> [<hard links>]
#dir <name> <mode> <uid> <gid>
#nod <name> <mode> <uid> <gid> <dev_type> <maj> <min>
#slink <name> <target> <mode> <uid> <gid>
#pipe <name> <mode> <uid> <gid>
#sock <name> <mode> <uid> <gid>

echo "# Generated from $0"

d () { echo "dir $1 755 0 0" ; }
x () { echo "file $1 $2 755 0 0 $3" ; }
f () { echo "file $1 $2 644 0 0 $3" ; }
l () { echo "slink $1 $2 777 0 0" ; }

d /bin
d /etc
d /proc
l /sbin /bin

BIN=$GALES/base/bin
x /bin/busybox $BIN/busybox
x /bin/ksh $BIN/ksh
l /bin/sh ksh

f /etc/fstab fstab
f /etc/hosts hosts
f /etc/issue issue
f /etc/passwd passwd

# entry point
x /init init

# payloads
f /root/INSTALL ../INSTALL
x /skeleton-$DATE.sh ../skeleton.sh
x /$UTIL_PKG.sh $UTIL_PKG.sh
ext=-$DATE.tar.xz
f /base$ext $GALES/base$ext
f /c$ext $GALES/c$ext
f /gports$ext ../gports$ext
