# Enables distribution in full differential form without requiring a working
# Vtron. ('Vantage #N: couldn'ta done that with a mere, shmere git!)

set -e

sequence="
openbsd_5_8_genesis
jfw_megapruning
jfw_linux_build
jfw_basic_sanity
jfw_warnings_overflows_volatiles
jfw_hist_init_erratum
jfw_ctype_cleansing_1_of_2
jfw_ctype_cleansing_2_of_2
jfw_strlcpy_strlcat
jfw_alloc_rebase
jfw_alloc_overflows_mega_cleanup
jfw_kill_magic_path_limits
jfw_move_make_path
jfw_cd_cleanup
jfw_warnings_2
jfw_tcopy_boojum
jfw_histsize_overflow_leak
jfw_emacs_oob_read
jfw_newtbl_erratum
jfw_casefolding_erratum
jfw_job_monitor_dev_tty
"

if [ -z "$1" ]; then
	printf 'Must specify path to vpatches\n'
	exit 1
fi

mkdir -p gksh
cd gksh
for name in $sequence; do
	printf %s\\n "$name"
	patch -Ep1 <"$1/$name.vpatch"
done
