P=patch
V=2.7.5
MAJOR=0
MINOR=0

S="
$P-$V.tar.xz http://ftp.gnu.org/gnu/$P/$P-$V.tar.xz
patch-2.7.5-trim-gnulib.patch
Makefile
config.h
"

SHA512="
6620ac8101f60c0b456ce339fa5e371f40be0b391e2e9728f34f3625f9907e516de61dac2f91bc76e6fd28a9bd1224efc3ba827cfaa606d857730c1af4195a0f  patch-2.7.5.tar.xz
"

build () {
	tar xJf $P-$V.tar.xz
	cd $P-$V
	rm GNUmakefile
	cp ../Makefile .
	cp ../config.h src/
	patch -p1 <../patch-2.7.5-trim-gnulib.patch
	make -j$JOBS
	strip patch
}

check () {
	cd $P-$V
	# One of the downsides to burning Automake...
	#make check
}

package () {
	r=gales/pkg/$Q
	cd $P-$V
	X $r/bin/patch
	f $r/doc/AUTHORS
	f $r/doc/NEWS
	f $r/doc/README
	f $r/doc/TODO
	f $r/man/man1/patch.1 patch.man
	l gales/pkg/$P $Q
	l gales/command/patch ../pkg/$P/bin/patch
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
